#pragma once
#include "Preferences.h"

class CPPg_X_Share : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPg_X_Share)

public:
	CPPg_X_Share();
	virtual ~CPPg_X_Share();

	// Dialog Data
	enum { IDD = IDD_PPG_X_SHARE };

	void Localize(void);

	afx_msg void OnSettingsChange()		{ SetModified(); }
	afx_msg	void OnBnClickedSUQWT(); // X-Ray :: SUQWT
	afx_msg	void OnBnClickedReleaseBonus(); // X-Ray :: ReleaseBonus

protected:

	void LoadSettings();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();

	DECLARE_MESSAGE_MAP()

private:
	void OnLoadReleaseBonus(); // X-Ray :: ReleaseBonus
};
